Subject: Re: [PATCH] Make http-backend REMOTE_USER configurable

From: William Strecker-Kellogg <[email-masked]>
Date: Thu, 29 Mar 2012 23:24:39 -0400

On 03/29/2012 09:52 PM, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
>> On Thu, Mar 29, 2012 at 06:22:30PM -0400, Jeff King wrote:
>>
>>> I think an even better thing would be for http-backend to leave
>>> GIT_COMMITTER_* alone if it exists; that is the usual well-known
>>> interface for setting such things. And then you could specify a
>>> detailed committer name and email if you want, or leave them blank to
>>> pull from $REMOTE_USER as we do now. As it is now, even if you specify
>>> GIT_COMMITTER_EMAIL, it gets overwritten with
>>> "$REMOTE_USER@http.$REMOTE_ADDR".
>>
>> That patch would look something like this:
> 
> It would regress for somebody who is running the CGI program while
> exporting these environment variables pointing at himself and relying on
> the fact that these are canceled by REMOTE_USER/ADDR (perhaps a web-based
> editor can write into some repository and commits made by that editor
> takes the ident information from COMMITTER variables, while another part
> of the webserver takes a push by spawning the http backend???).
> 
> Which is very unlikely.

Agreed.

> 
> If somebody else comes up with a valid scenario to show why this patch is
> a bad idea, I'd stand corrected but at the same time I'd be very surprised.
> 
> But I think this is the right thing to do, even though it is not related
> to the issue William wanted to address with his patch.
> 

The reason we're interested in this is validation -- who can push to our
production puppet branch is determined by a post-update hook.  A wrapper
around http-backend like Jeff's combined with his patch would accomplish
what we need just fine.

> Care to sign it off?